Subject: [Sipping] SCCP/TCAP MIMEs

From: Vikram Nair <[email-masked]>
Date: Wed, 6 Apr 2005 11:05:58 +0530

Hello Banibrata,

> Hi,
> 
> I would like to add 2 observations here --
> 
> 1) Inspite of the fact that MGCP/SGCP/Megaco existed, ppl.
> still wentahead with Media-Server Control Markup embedded
> in SIP (few variants of it too). At that time also similar
> discussions had happened as to why reinvent the wheel ? 
> Two things that came up few times were:-

I guess, the example quoted here are not relevant in the sense that,
here we are trying to compare bearer managament protocols (MGCP,
MEGACO) over SIP with signaling protocols (AIN using SCCP/TCAP) over
SIP.

SCCP/TCAP should not be viewed as standalone items, rather shall be
viewed as carriers for signaling applications.

>  a) The ability to have just one signalling & media-control protocol stack,
> which was especially important if the end-device was limited in resources,
> s.t. another protocol stack is best avoided to save on resources.
>  b) Extensibility that XML based info. transfer brought about. Frankly,
> Megaco (and to some lesser extent MGCP) do have Extensibility too.
> So fact is that today we do have implementations using SIP + MS Control
> markup.
> 
> 2) In the scenarios being discussed, --
>  a) I don't see a particularly resource-limited node anywhere ?
> Softswitches, Gateways, Service Control platform, are generally quite rich
> in resources available to them.
>  b) Talking about the Signalling protocols from the SIGTRAN farm, i.s.
> M3UA, SUA etc., they are quite flexible in addressing future extensions.
> They are tested, proven and stable specifications.
> 
> Are there any other major drivers for having SCCP embedded in SIP ? One
> thing (seemingly trivial though) that comes to my mind are that there are no
> well-supported and actively-developed M3UA / SUA open-source
> implementations, w.a. there's lot of activity in SIP, i.e. if that matters
> to anyone.
> 

Well there are. Some of them have been pointed out in mails exchanged
earlier. E.g. Call interworking between AIN and SIP. Also, scenario
can be extended to toll-by-pass deployments. Offlate, the discussion
have been localized to AIN/IN interworking with SIP, but the intention
is to address a broader domain which utilizes SCCP/TCAP.

> my 2 cents,
> Banibrata.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP